package REAPI;



import java.util.logging.Level;

import org.eclipse.birt.core.framework.Platform;
import org.eclipse.birt.report.engine.api.EngineConfig;
import org.eclipse.birt.report.engine.api.EngineException;
import org.eclipse.birt.report.engine.api.HTMLActionHandler;
import org.eclipse.birt.report.engine.api.HTMLRenderOption;
import org.eclipse.birt.report.engine.api.IReportEngine;
import org.eclipse.birt.report.engine.api.IReportEngineFactory;
import org.eclipse.birt.report.engine.api.IReportRunnable;
import org.eclipse.birt.report.engine.api.IRunAndRenderTask;
import org.eclipse.birt.report.engine.api.PDFRenderOption;
import org.eclipse.birt.report.model.api.ReportDesignHandle;


public class RunAndRenderTaskFileDrill {

	public void runReport() throws EngineException
	{

		IRunAndRenderTask task=null;
		IReportEngine engine=null;
		EngineConfig config = null;

		try{
			config = new EngineConfig( );
			
			//comment out this line if you are using 3.7 or greater
			config.setBIRTHome("C:\\birt\\birt-runtime-2_6_1\\birt-runtime-2_6_1\\ReportEngine");
			
			config.setLogConfig(null, Level.FINEST);
			Platform.startup( config );
			
			IReportEngineFactory factory = (IReportEngineFactory) Platform
			.createFactoryObject( IReportEngineFactory.EXTENSION_REPORT_ENGINE_FACTORY );
			engine = factory.createReportEngine( config );

		IReportRunnable design = null;
		//Open the report design
		
		design = engine.openReportDesign("Reports/MasterFileDrill.rptdesign"); 
		ReportDesignHandle rdh = (ReportDesignHandle)design.getDesignHandle();
		task = engine.createRunAndRenderTask(design);

		PDFRenderOption options = new PDFRenderOption();
		options.setOutputFileName("output/resample/MasterFileDrill.pdf");
		options.setOutputFormat("pdf");		

		options.setBaseURL("file://C:/work/workspaces/2.6.1workspaces/BIRT -DE RE API Samples/APIs/output/resample");

		options.setActionHandler(new MyFileActionHandler());
		task.setRenderOption(options);		
		task.run();
		task.close();

		design = engine.openReportDesign("Reports/DetailFileDrill.rptdesign"); 
		rdh = (ReportDesignHandle)design.getDesignHandle();
		task = engine.createRunAndRenderTask(design);

		options = new PDFRenderOption();
		options.setOutputFileName("output/resample/DetailFileDrill.pdf");
		options.setOutputFormat("pdf");		


		task.setRenderOption(options);		
		task.run();
		task.close();		

		engine.destroy();
		}catch( Exception ex){
			ex.printStackTrace();
		}				
		finally
		{
			
			Platform.shutdown( );
			System.out.println("Finished");
		}
		
	}	


	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try
		{

			RunAndRenderTaskFileDrill ex = new RunAndRenderTaskFileDrill( );
			ex.runReport();

		}
		catch ( Exception e )
		{
			e.printStackTrace();
		}
	}
	
}


